OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VideoCapture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVideoCapture :: MonadIO m => m Bool
- gl_NV_video_capture :: Bool
- gl_FAILURE_NV :: GLenum
- gl_FIELD_LOWER_NV :: GLenum
- gl_FIELD_UPPER_NV :: GLenum
- gl_LAST_VIDEO_CAPTURE_STATUS_NV :: GLenum
- gl_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV :: GLenum
- gl_NUM_VIDEO_CAPTURE_STREAMS_NV :: GLenum
- gl_PARTIAL_SUCCESS_NV :: GLenum
- gl_SUCCESS_NV :: GLenum
- gl_VIDEO_BUFFER_BINDING_NV :: GLenum
- gl_VIDEO_BUFFER_INTERNAL_FORMAT_NV :: GLenum
- gl_VIDEO_BUFFER_NV :: GLenum
- gl_VIDEO_BUFFER_PITCH_NV :: GLenum
- gl_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV :: GLenum
- gl_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV :: GLenum
- gl_VIDEO_CAPTURE_FRAME_HEIGHT_NV :: GLenum
- gl_VIDEO_CAPTURE_FRAME_WIDTH_NV :: GLenum
- gl_VIDEO_CAPTURE_SURFACE_ORIGIN_NV :: GLenum
- gl_VIDEO_CAPTURE_TO_422_SUPPORTED_NV :: GLenum
- gl_VIDEO_COLOR_CONVERSION_MATRIX_NV :: GLenum
- gl_VIDEO_COLOR_CONVERSION_MAX_NV :: GLenum
- gl_VIDEO_COLOR_CONVERSION_MIN_NV :: GLenum
- gl_VIDEO_COLOR_CONVERSION_OFFSET_NV :: GLenum
- gl_YCBAYCR8A_4224_NV :: GLenum
- gl_YCBYCR8_422_NV :: GLenum
- gl_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV :: GLenum
- gl_Z4Y12Z4CB12Z4CR12_444_NV :: GLenum
- gl_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV :: GLenum
- gl_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV :: GLenum
- gl_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV :: GLenum
- glBeginVideoCaptureNV :: MonadIO m => GLuint -> m ()
- glBindVideoCaptureStreamBufferNV :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptrARB -> m ()
- glBindVideoCaptureStreamTextureNV :: MonadIO m => GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> m ()
- glEndVideoCaptureNV :: MonadIO m => GLuint -> m ()
- glGetVideoCaptureStreamdvNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVideoCaptureStreamfvNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVideoCaptureStreamivNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVideoCaptureivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glVideoCaptureNV :: MonadIO m => GLuint -> Ptr GLuint -> Ptr GLuint64EXT -> m GLenum
- glVideoCaptureStreamParameterdvNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLdouble -> m ()
- glVideoCaptureStreamParameterfvNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glVideoCaptureStreamParameterivNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetNVVideoCapture :: MonadIO m => m Bool

Is the NV_video_capture extension supported?

gl_NV_video_capture :: Bool

Is the NV_video_capture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVideoCapture` in those cases instead.

# Enums

gl_FAILURE_NV :: GLenum

gl_FIELD_LOWER_NV :: GLenum

gl_FIELD_UPPER_NV :: GLenum

gl_LAST_VIDEO_CAPTURE_STATUS_NV :: GLenum

gl_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV :: GLenum

gl_NUM_VIDEO_CAPTURE_STREAMS_NV :: GLenum

gl_PARTIAL_SUCCESS_NV :: GLenum

gl_SUCCESS_NV :: GLenum

gl_VIDEO_BUFFER_BINDING_NV :: GLenum

gl_VIDEO_BUFFER_INTERNAL_FORMAT_NV :: GLenum

gl_VIDEO_BUFFER_NV :: GLenum

gl_VIDEO_BUFFER_PITCH_NV :: GLenum

gl_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV :: GLenum

gl_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV :: GLenum

gl_VIDEO_CAPTURE_FRAME_HEIGHT_NV :: GLenum

gl_VIDEO_CAPTURE_FRAME_WIDTH_NV :: GLenum

gl_VIDEO_CAPTURE_SURFACE_ORIGIN_NV :: GLenum

gl_VIDEO_CAPTURE_TO_422_SUPPORTED_NV :: GLenum

gl_VIDEO_COLOR_CONVERSION_MATRIX_NV :: GLenum

gl_VIDEO_COLOR_CONVERSION_MAX_NV :: GLenum

gl_VIDEO_COLOR_CONVERSION_MIN_NV :: GLenum

gl_VIDEO_COLOR_CONVERSION_OFFSET_NV :: GLenum

gl_YCBAYCR8A_4224_NV :: GLenum

gl_YCBYCR8_422_NV :: GLenum

gl_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV :: GLenum

gl_Z4Y12Z4CB12Z4CR12_444_NV :: GLenum

gl_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV :: GLenum

gl_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV :: GLenum

gl_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV :: GLenum

# Functions

glBeginVideoCaptureNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> m () |

glBindVideoCaptureStreamBufferNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `frame_region`.
-> GLintptrARB | `offset` of type `BufferOffsetARB`.
-> m () |

glBindVideoCaptureStreamTextureNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `frame_region`.
-> GLenum | `target`.
-> GLuint | `texture`.
-> m () |

glEndVideoCaptureNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> m () |

glGetVideoCaptureStreamdvNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

glGetVideoCaptureStreamfvNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetVideoCaptureStreamivNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetVideoCaptureivNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glVideoCaptureNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> Ptr GLuint | `sequence_num`.
-> Ptr GLuint64EXT | `capture_time`.
-> m GLenum |

glVideoCaptureStreamParameterdvNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

glVideoCaptureStreamParameterfvNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glVideoCaptureStreamParameterivNV

Arguments

:: MonadIO m |
=> GLuint | `video_capture_slot`.
-> GLuint | `stream`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |